summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin Smith <git@kismith.co.uk>2015-11-11 13:49:28 (GMT)
committerKevin Smith <git@kismith.co.uk>2015-11-11 13:50:14 (GMT)
commitbd999e960a04721a81017161dae21fcd8d5e2ab6 (patch)
tree547134743428ef46fce03fb8f0928da53c032d63 /Swift/Packaging
parent5e4dd6c3b0c5334f016330868887d6e3a6ae7d53 (diff)
downloadswift-bd999e960a04721a81017161dae21fcd8d5e2ab6.zip
swift-bd999e960a04721a81017161dae21fcd8d5e2ab6.tar.bz2
Break out of .deb packaging on error
Test-Information: Ran the script until it started building (then cancelled it). Change-Id: I803f8aae2b042dea9870491dfd46bbc5a6fd88f6
Diffstat (limited to 'Swift/Packaging')
-rwxr-xr-xSwift/Packaging/Debian/package_all_platforms.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/Swift/Packaging/Debian/package_all_platforms.sh b/Swift/Packaging/Debian/package_all_platforms.sh
index 7a5e7d3..1773515 100755
--- a/Swift/Packaging/Debian/package_all_platforms.sh
+++ b/Swift/Packaging/Debian/package_all_platforms.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+# Quit immediately if any part fails
+set -e
+
## To get to this stage you need to already have the pbuilder-dist stuff installed, and have already run:
# for distro in squeeze sid lucid maverick; do
# for arch in i386 amd64; do